nightly delivering DEBUG image?

RESOLVED WORKSFORME

Status

RESOLVED WORKSFORME
5 years ago
5 years ago

People

(Reporter: pf, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

5 years ago
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:24.0) Gecko/20130610 Firefox/24.0 (Nightly/Aurora)
Build ID: 20130610031147

Steps to reproduce:

Started getting lots of debug output the other day.  (see bug 878456 comment 24)

I'm told that's because I have a debug build.  If so, then Nightly must now be delivering debug images because I'm NOT asking for one...


Actual results:

I made no changes; been running Nightly for at least a half dozen versions.  I always grab Nightly with:
wget http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-${VERSION}.en-US.linux-x86_64.tar.bz2




Expected results:

Not a debug version.

Comment 1

5 years ago
The 2013-06-02-03-12-40-mozilla-central-firefox-24.0a1.en-US.linux-x86_64 build I have prints stuff beginning with this:

++DOCSHELL 0x7f7f32a34000 == 1 [id = 1]
++DOMWINDOW == 1 (0x7f7f32a358b0) [serial = 1] [outer = (nil)]
++DOMWINDOW == 2 (0x7f7f32a368b0) [serial = 2] [outer = 0x7f7f32a358b0]
pldhash: for the table at address 0x7f7f4c264018, the given entrySize of 168 definitely favors chaining over double hashing.
WARNING: No disk space watcher component available!: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/dom/indexedDB/IndexedDatabaseManager.cpp, line 133
++DOCSHELL 0x7f7f29055800 == 2 [id = 2]
++DOMWINDOW == 3 (0x7f7f29056cb0) [serial = 3] [outer = (nil)]
++DOMWINDOW == 4 (0x7f7f29057cb0) [serial = 4] [outer = 0x7f7f29056cb0]
++DOMWINDOW == 5 (0x7f7f290c34b0) [serial = 5] [outer = 0x7f7f32a358b0]
WARNING: Unable to test style tree integrity -- no content node: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/layout/base/nsCSSFrameConstructor.cpp, line 8253
++DOCSHELL 0x7f7f244c1c00 == 3 [id = 3]
++DOMWINDOW == 6 (0x7f7f24515cb0) [serial = 6] [outer = (nil)]
++DOCSHELL 0x7f7f24516400 == 4 [id = 4]
++DOMWINDOW == 7 (0x7f7f24516cb0) [serial = 7] [outer = (nil)]
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/content/base/src/nsFrameLoader.cpp, line 376
++DOCSHELL 0x7f7f25ca0000 == 5 [id = 5]
++DOMWINDOW == 8 (0x7f7f25ca08b0) [serial = 8] [outer = (nil)]
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/content/base/src/nsFrameLoader.cpp, line 376
++DOMWINDOW == 9 (0x7f7f24d5dcb0) [serial = 9] [outer = 0x7f7f25ca08b0]
WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv) && subjPrincipal) failed: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/docshell/base/nsDocShell.cpp, line 8362
WARNING: Subdocument container has no frame: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/layout/base/nsDocumentViewer.cpp, line 2380
++DOMWINDOW == 10 (0x7f7f24d4a8b0) [serial = 10] [outer = 0x7f7f24515cb0]
WARNING: Subdocument container has no frame: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/layout/base/nsDocumentViewer.cpp, line 2380
++DOMWINDOW == 11 (0x7f7f24d4bcb0) [serial = 11] [outer = 0x7f7f24516cb0]
++DOMWINDOW == 12 (0x7f7f24d4e4b0) [serial = 12] [outer = 0x7f7f25ca08b0]
WARNING: NS_ENSURE_TRUE(mMutable) failed: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/netwerk/base/src/nsSimpleURI.cpp, line 265
++DOMWINDOW == 13 (0x7f7f2426e4b0) [serial = 13] [outer = 0x7f7f25ca08b0]
WARNING: attempt to modify an immutable nsStandardURL: file /builds/slave/m-cen-l64-dbg-st-an-ntly-00000/build/netwerk/base/src/nsStandardURL.cpp, line 1205

These builds do not:
2013-06-01-03-09-38-mozilla-central-firefox-24.0a1.en-US.linux-x86_64
2013-06-03-03-11-40-mozilla-central-firefox-24.0a1.es-ES.linux-x86_64


The "noisy" build is smaller than normal:
80M	2013-06-01-03-09-38-mozilla-central-firefox-24.0a1.en-US.linux-x86_64
68M	2013-06-02-03-12-40-mozilla-central-firefox-24.0a1.en-US.linux-x86_64
80M	2013-06-03-03-11-40-mozilla-central-firefox-24.0a1.es-ES.linux-x86_64

Comment 2

5 years ago
33351398 jun  2 17:12 2013-06-01-03-09-38-mozilla-central-firefox-24.0a1.en-US.linux-x86_64.tar.bz2
32208182 jun  2 17:00 2013-06-02-03-12-40-mozilla-central-firefox-24.0a1.en-US.linux-x86_64.tar.bz2
33147042 jun  3 20:18 2013-06-03-03-11-40-mozilla-central-firefox-24.0a1.es-ES.linux-x86_64.tar.bz2

Comment 3

5 years ago
I haven't noticed this recently.

Moving to the component in which bug 838140 was.
Component: Untriaged → Release Automation
Product: Firefox → Release Engineering
QA Contact: bhearsum
Version: 24 Branch → unspecified

Comment 4

5 years ago
See also bug 908028.

Comment 5

5 years ago
I've checked some builds:

debug 2013-06-18-03-13-35-mozilla-central-firefox-24.0a1.en-US.linux-x86_64
debug 2013-06-27-03-10-27-mozilla-central-firefox-25.0a1.en-US.linux-x86_64
clean 2013-07-01-03-11-15-mozilla-central-firefox-25.0a1.en-US.linux-x86_64
clean 2013-07-04-03-13-23-mozilla-central-firefox-25.0a1.en-US.linux-x86_64
clean 2013-07-14-03-02-02-mozilla-central-firefox-25.0a1.en-US.linux-x86_64
clean 2013-07-28-03-02-04-mozilla-central-firefox-25.0a1.en-US.linux-x86_64
clean 2013-08-15-03-02-03-mozilla-central-firefox-26.0a1.en-US.linux-x86_64

Seems to have been fixed/disabled.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.